=== data/CMakeLists.txt ===
--- 
+++ 
@@ -57,9 +57,10 @@
 install(FILES "icons/24x24/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/24x24/apps)
 install(FILES "icons/32x32/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/32x32/apps)
 install(FILES "icons/48x48/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/48x48/apps)
+install(FILES "icons/64x64/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/64x64/apps)
+install(FILES "icons/128x128/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/128x128/apps)
 install(FILES "icons/256x256/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/256x256/apps)
 install(FILES "icons/512x512/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/512x512/apps)
-
 
 # Install DBus service
 configure_file (
@@ -68,3 +69,11 @@
   )
 
 install(FILES ${CMAKE_BINARY_DIR}/data/com.uploadedlobster.peek.service DESTINATION share/dbus-1/services)
+
+# Copy build data FILES
+file(
+  COPY com.canonical.Unity.gschema.xml
+  DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/extra/
+)
+
+add_subdirectory(man)
