=== debian/changelog ===
peek (1.0.3-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Jun 2017 17:59:13 -0700

peek (1.0.3-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 14 Jun 2017 18:00:37 +0200

peek (1.0.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 27 Mar 2017 17:49:05 +0200

peek (1.0.0-1~getdeb1) xenial; urgency=medium

  * Initial release

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 24 Mar 2017 20:42:23 +0100
