=== debian/control ===
Source: peek
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christoph Korn <christoph.korn@getdeb.net>
Build-Depends: debhelper (>=9),
               cmake (>= 2.6),
               valac (>= 0.22),
               libgtk-3-dev (>= 3.14),
               libkeybinder-3.0-dev,
               libxml2-utils,
               gettext
Standards-Version: 3.9.7
Homepage: https://github.com/phw/peek

Package: peek
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ffmpeg | libav-tools,
         imagemagick
Description: simple screen recorder with an easy to use interface
 Peek creates animated GIF or video screencasts using FFmpeg and ImageMagick. 
 Built for the specific use case of recording screen areas, Peek easily
 shows UI features of your own apps or for showing a bug in bug reports. It
 is not a general purpose screencast app with extended features and it never
 will be.
