=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:
	# Test fail: Could not find executable peek-test-desktop-integration
