=== debian/watch ===
version=3
https://github.com/phw/peek/releases \
    (?:.*/)?v([\d\.]+)\.tar\.gz
