=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -50,16 +50,23 @@
   screen-recorder-test-recording-area
   ${PROJECT_NAME}-screen-recorder-test-recording-area)
 
-# /screen-recorder/command-line-screen-recorder/
+# /screen-recorder/cli-screen-recorder/
 vala_precompile(VALA_TEST_COMMAND_LINE_SCREEN_RECORDER_C
-    screen-recorder/test-command-line-screen-recorder.vala
+    screen-recorder/test-cli-screen-recorder.vala
+    ../src/post-processing/cli-post-processor.vala
+    ../src/post-processing/extract-frames-post-processor.vala
+    ../src/post-processing/ffmpeg-post-processor.vala
+    ../src/post-processing/gifski-post-processor.vala
+    ../src/post-processing/imagemagick-post-processor.vala
+    ../src/post-processing/post-processing-pipeline.vala
     ../src/post-processing/post-processor.vala
-    ../src/post-processing/imagemagick-post-processor.vala
     ../src/recording/recording-area.vala
+    ../src/recording/recording-config.vala
     ../src/recording/screen-recorder.vala
     ../src/recording/base-screen-recorder.vala
-    ../src/recording/command-line-screen-recorder.vala
+    ../src/recording/cli-screen-recorder.vala
     ../src/defaults.vala
+    ../src/errordomain.vala
     ../src/utils.vala
   PACKAGES
     gtk+-3.0
@@ -67,9 +74,9 @@
 )
 
 add_executable(
-  ${PROJECT_NAME}-test-screen-recorder-command-line-screen-recorder
+  ${PROJECT_NAME}-test-screen-recorder-cli-screen-recorder
   ${VALA_TEST_COMMAND_LINE_SCREEN_RECORDER_C})
 
 add_test(
-  test-screen-recorder-command-line-screen-recorder
-  ${PROJECT_NAME}-test-screen-recorder-command-line-screen-recorder)
+  test-screen-recorder-cli-screen-recorder
+  ${PROJECT_NAME}-test-screen-recorder-cli-screen-recorder)
