=== debian/changelog ===
peek (1.2.0-0mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Nov 2017 18:22:04 -0800

peek (1.2.0-0~ppa19~ubuntu16.04.1) xenial; urgency=low

  * Auto build.

 -- Philipp Wolfer <ph.wolfer@gmail.com>  Sat, 25 Nov 2017 14:44:59 +0000

peek (1.2.0-0) mx; urgency=medium

  * New upstream release:
    - Quick format selection in headerbar (#174)
    - GIF conversion with gifski if installed for improved quality (#212, #179)
    - GIF quality level can be set in preferences, if gifski is available (#212)
    - GIF conversion with FFmpeg as default instead of ImageMagick (#125)
    - Display elapsed time in headerbar (#214)
    - Display an animated spinner while post processing (#58)
    - Support APNG as output format (#108)
    - Command line parameter `--no-headerbar` (#203)
    - Show dialog with error details on recording errors (#49)
    - Temporary files get unique name again (was broken in #161)
    - Quitting application does not interrupt rendering (#189)
    - Much smaller temporary file sizes
    - Recording could be stopped before it had actually started
    - Do not load local settings schema in release builds
    - On Plasma with Breeze theme Peek window was hard to resize (#199)
    - Added Chinese (Traditional), Neapolitan
    - Updated translations for Dutch, Esperanto, German, Italian, Lithuanian, Norwegian Bokmål, Polish, Serbian, Swedish
    - libkeybinder is now optional
  * ImageMagick is now optional
  * Build as Release and with FileChooserNative

 -- Philipp Wolfer <ph.wolfer@gmail.com>  Sat, 25 Nov 2017 15:27:00 +0100

peek (1.1.0-0) mx; urgency=medium

  * New upstream release:
    - Transparent recording area without compositor
    - Unusual default permissions
    - Explicitly set ImageMagick resource limits
    - Updated translations for Basque, Chinese (Simplified), Czech, Dutch, French, German, Lithuanian, Russian, Serbian, Spanish, Swedish, Polish, Portuguese (Brazil)

 -- Philipp Wolfer <ph.wolfer@gmail.com>  Thu, 05 Oct 2017 14:47:00 +0100

peek (1.0.3-0) mx; urgency=medium

  * New upstream release:
    - Fixed installing man page
    - Fixed Debian packaging

 -- Philipp Wolfer <ph.wolfer@gmail.com>  Tue, 13 Jun 2017 23:50:00 +0100

peek (1.0.2-0) mx; urgency=medium

  * New upstream release:
    - Finish saving file when closing window while rendering
    - Highlight file when launching Dolphin file manager
    - Use raw video for recording GIF with GNOME Shell recorder (this is identical to how FFmpeg recorder works)
    - Failed to record MP4 when dimensions where not divisible by 2
    - Make sure recording starts after countdown is hidden
    - Closing window while recording could leave temp files behind
    - KDE Plasma and XFCE were showing an empty button in notification
    - Place close button on the left on all desktops configured this way
    - Cinammon showing notification with icon
    - Indonesian and Serbian translation
    - Updated translations for Basque, Esperanto, French, Portuguese (Brazil), Russian and Ukrainian
    - Added man page

 -- Philipp Wolfer <ph.wolfer@gmail.com>  Tue, 13 Jun 2017 22:52:00 +0100

peek (1.0.1-0) mx; urgency=medium

  * New upstream release:
    - recording: Use H.264 baseline profile for MP4 for increased browser
                 compatibility (#111)
    - recording: For WebM GNOME Shell recorder use same quality settings as with
                 FFmpeg encoder
    - ui: Show only the most recent "file saved" notification to avoid spamming
          the desktop with notifications.
    - fix: Set temporary directory for ImageMagick
    - fix: Always launch with `GDK_BACKEND=x11` for Wayland
    - fix: Detect if global menus are disabled in Unity when running as
           Flatpak / Snap package
    - i18n: Updated translations for Arabic, Czech, Russian and Spanish
    - i18n: New translations for Basque and Esperanto
    - docs: Added Debian instructions to build custom package
    - docs: Added Snappy install instructions (development builds only)

 -- Philipp Wolfer <ph.wolfer@gmail.com>  Sun, 26 Mar 2017 17:21:00 +0100

peek (1.0.0-0) mx; urgency=medium

  * New upstream release:
    - recording: Support GNOME Shell screencast DBUS service. Allows recording
    under GNOME Shell with XWayland (#33)
    - recording: Support WebM and MP4 as output format (#73)
    - recording: Added option to not record mouse cursor
    - recording: Default frame rate is now 10fps
    - ui: Recording can be started / stopped via configurable keyboard shortcut (#23)
    - ui: Add `--start`, `--stop` and `--toggle` command line parameters to control
          the recording
    - ui: Add `--backend` command line parameter to manually choose recording
          backend (`gnome-shell`, `ffmpeg` or `avcodec` for now)
    - ui: Hide button label on small window width. Allows for smaller recording area.
    - misc: Use org.freedesktop.FileManager1 DBUs service for launching file manager.
    - fix: Fixed a possible race condition that could lead to empty or broken files (#1)
    - fix: Moving Peek partially outside the visible area does no longer break the
           recording. Instead the recording area is clipped to the visible part (#64)
    - fix: Starting recording in maximized window relocated the window on Ubuntu Unity (#74)
    - fix: When canceling the file chooser also stop the background processing
           of the image (#96)
    - i18n: Many updated translations, with Czech, Dutch, German, Lithuanian,
            Polish and Swedish 100% completed
    - package: Peek is available from a Flatpak repository (#85)
    - package: Provide AppStream data
    - docs: Much improved README

 -- Philipp Wolfer <ph.wolfer@gmail.com>  Sat, 11 Mar 2017 22:12:00 +0100

peek (0.9.1-1) mx; urgency=low

  * Added libkeybinder-3.0-0 dependency

 -- Philipp Wolfer <ph.wolfer@gmail.com>  Tue, 23 Feb 2017 10:27:00 +0100

peek (0.9.1-0) mx; urgency=low

  * New upstream release:

