=== debian/control ===
Source: peek
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Philipp Wolfer <ph.wolfer@gmail.com>
Build-Depends: debhelper (>=9),
 dpkg-dev (>= 1.6.1.1),
 cmake (>= 2.8.8),
 valac (>= 0.22),
 libgtk-3-dev (>= 3.14),
 libkeybinder-3.0-dev,
 libxml2-utils,
 gettext,
 txt2man,
 gzip
Standards-Version: 3.9.6
Homepage: https://github.com/phw/peek

Package: peek
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ffmpeg | libav-tools
Recommends: gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-ugly
Suggests: imagemagick
Description: Simple screen recorder with an easy to use interface
 Peek makes it easy to create short screencasts of a screen area. It was built
 for the specific use case of recording screen areas, e.g. for easily showing
 UI features of your own apps or for showing a bug in bug reports. With Peek
 you simply place the Peek window over the area you want to record and press
 "Record". Peek is optimized for generating animated GIFs, but you can also
 directly record to WebM or MP4 if you prefer.
