=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Vala work arounds:
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DGSETTINGS_COMPILE=OFF \
	                     -DCMAKE_BUILD_TYPE=Release \
	                     -DENABLE_FILECHOOSERNATIVE=ON

override_dh_auto_test:
