=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -57,7 +57,6 @@
     ../src/post-processing/extract-frames-post-processor.vala
     ../src/post-processing/ffmpeg-post-processor.vala
     ../src/post-processing/gifski-post-processor.vala
-    ../src/post-processing/imagemagick-post-processor.vala
     ../src/post-processing/post-processing-pipeline.vala
     ../src/post-processing/post-processor.vala
     ../src/recording/recording-area.vala
