=== debian/changelog ===
peek (1.3.1-6) unstable; urgency=high

  * debian/patches: Add patch 0003 to fix double free crashing when
    passing string array to async function. (Closes: #926386)

 -- Boyuan Yang <byang@debian.org>  Mon, 06 May 2019 13:27:48 -0400

peek (1.3.1-5) unstable; urgency=medium

  * Rebuild for Debian buster.
  * debian/patches:
    + Backport upstream trunk code till 20190121.
    + Bump Standards-Version to 4.3.0.
    + Bump debhelper compat to v12.
    + R³: Use "Rules-Requires-Root: no".

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Feb 2019 13:14:08 -0500

peek (1.3.1-4) unstable; urgency=medium

  * Rebuild against gcc 8.
  * debian/control:
    + Update maintainer email address and use the @debian.org one.
    + Bump Standards-Version to 4.2.1 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Sep 2018 15:57:12 -0400

peek (1.3.1-3) unstable; urgency=medium

  * Backport upstream changes till 20180613.
    - Fixes FTBFS with parallel build. Closes: #895789.
  * d/rules: Enable parallel build again.
  * d/patches: Add a patch to fix appstream metainfo warning.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 15 Jun 2018 20:47:23 +0800

peek (1.3.1-2) unstable; urgency=medium

  * d/control: Update Vcs fields.
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed).
  * d/control: Mark peek suggests gifski.
  * Backport upstream changes till 20180416.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 21 Apr 2018 14:06:48 +0800

peek (1.3.1-1) unstable; urgency=medium

  * Initial release. Closes: #855666

 -- Boyuan Yang <073plan@gmail.com>  Wed, 28 Mar 2018 09:27:34 +0800
