=== debian/control ===
Source: peek
Section: graphics
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 gettext (>= 0.19),
 libglib2.0-dev (>= 2.38),
 libgtk-3-dev (>= 3.14),
 libkeybinder-3.0-dev,
 libxml2-utils,
 txt2man,
 valac,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://github.com/phw/peek
Vcs-Git: https://salsa.debian.org/debian/peek.git
Vcs-Browser: https://salsa.debian.org/debian/peek

Package: peek
Architecture: any
Depends:
 ffmpeg,
 gstreamer1.0-plugins-good,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gstreamer1.0-plugins-ugly,
Suggests:
 gifski,
Description: Simple animated GIF screen recorder with GUI
 Peek is a simple screen recorder. It is optimized for generating
 animated GIFs but you can also directly record to WebM or MP4
 if you prefer.
