## peek 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 cmake_minimum_required(VERSION 2.6)
 
 set (PEEK_VERSION_MAJOR 1)
-set (PEEK_VERSION_MINOR 3)
-set (PEEK_VERSION_PATCH 1)
+set (PEEK_VERSION_MINOR 4)
+set (PEEK_VERSION_PATCH 0)
 
 # Get full Peek version
 if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.git)
@@ -54,7 +54,7 @@
 find_package(Vala 0.22 REQUIRED)
 
 find_package(PkgConfig)
-set(REQUIRE_GTK "3.14")
+set(REQUIRE_GTK "3.20")
 pkg_check_modules(GTK REQUIRED gtk+-3.0>=${REQUIRE_GTK})
 pkg_check_modules(CAIRO REQUIRED cairo)
 pkg_check_modules(GIO REQUIRED gio-2.0>=2.42)
@@ -94,12 +94,6 @@
 endif()
 
 # Check for GTK features
-if(${GTK_VERSION} VERSION_EQUAL "3.16" OR ${GTK_VERSION} VERSION_GREATER "3.16")
-  message(STATUS "Compiling with features for GTK >= 3.16")
-  set(REQUIRE_GTK "3.16")
-  list(APPEND VALA_DEFINITIONS "HAS_GTK_LABEL_XALIGN")
-endif()
-
 if(${GTK_VERSION} VERSION_EQUAL "3.20" OR ${GTK_VERSION} VERSION_GREATER "3.20")
   message(STATUS "Compiling with features for GTK >= 3.20")
   set(REQUIRE_GTK "3.20")
@@ -219,7 +213,7 @@
 set(CPACK_PACKAGE_VERSION_PATCH ${PEEK_VERSION_PATCH})
 set(CPACK_PACKAGE_INSTALL_DIRECTORY "Peek")
 
-set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtk-3-0 (>= ${REQUIRE_GTK}), libglib2.0-0 (>= 2.38), libkeybinder-3.0-0, ffmpeg, gstreamer1.0-plugins-good (>= 1.2)")
+set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtk-3-0 (>= ${REQUIRE_GTK}), libglib2.0-0 (>= 2.38), libkeybinder-3.0-0, ffmpeg (>= 3), gstreamer1.0-plugins-good (>= 1.2)")
 set(CPACK_DEBIAN_PACKAGE_RECOMMENDS "gstreamer1.0-plugins-ugly")
 set(CPACK_DEBIAN_PACKAGE_SUGGESTS "gifski")
 set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
