=== debian/changelog ===
peek (1.4.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Wed, 25 Sep 2019 23:17:59 -0400

peek (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0.
  * debian/patches: Drop patches merged upstream (0001, 0003).
  * debian/rules: Switch to meson buildsystem.
  * debian/control:
    + Bump Standards-Version to 4.4.0.
    + Add optional build-dependency desktop-file-utils. The
      appstream-utils is not included since the related checks
      requires network connection and write permission to home
      directory.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Sep 2019 10:57:12 -0400
