=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: peek
 Section: graphics
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
+XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
- cmake,
  debhelper-compat (= 12),
+ desktop-file-utils <!nocheck>,
  gettext (>= 0.19),
  libglib2.0-dev (>= 2.38),
  libgtk-3-dev (>= 3.14),
  libkeybinder-3.0-dev,
  libxml2-utils,
+ meson,
  txt2man,
  valac,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/phw/peek
 Vcs-Git: https://salsa.debian.org/debian/peek.git
 Vcs-Browser: https://salsa.debian.org/debian/peek
