=== debian/rules ===
--- 
+++ 
@@ -13,17 +13,16 @@
 export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))
 
 %:
-	dh $@ --buildsystem=cmake
+	dh $@ --buildsystem=meson
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	      -DCMAKE_INSTALL_PREFIX=/usr \
-	      -DGSETTINGS_COMPILE=OFF \
-	      -DBUILD_TESTS=ON \
-	      -DCMAKE_BUILD_TYPE=Release
+	    -Denable-filechoosernative=true
 
 override_dh_missing:
 	dh_missing --fail-missing
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGES.md
+override_dh_shlibdeps:
+	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
